Skip to main content
GET
/
qr-codes
/
{id}
/
scans
List QR code scans
curl --request GET \
  --url https://api.awardee.dev/v1/qr-codes/{id}/scans \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "has_more": true,
  "next_cursor": "<string>",
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "qr_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scanned_at": "2023-11-07T05:31:56Z",
      "user_agent": "<string>",
      "destination": {
        "type": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>"
      },
      "query_params": {},
      "location": {
        "country": "<string>",
        "region": "<string>",
        "city": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string
required

A QR code's UUID or its public slug.

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

Scans

object
string
required
Allowed value: "list"
has_more
boolean
required
next_cursor
string | null
required
data
object[]
required